package net.northking.cctp.device.dto.device;

import io.swagger.annotations.ApiModelProperty;

public class ScriptResultDto {
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    private String id;
    /**
     * 中文名称<br>
     */
    @ApiModelProperty("中文名称")
    private String brandNameCn;
    /**
     * 产品名称<br>
     */
    @ApiModelProperty("产品名称")
    private String productName;
    /**
     * 机型名称<br>
     */
    @ApiModelProperty("机型名称")
    private String modelName;
    /**
     * 机型图片<br>
     */
    @ApiModelProperty("机型图片")
    private String modelImg;
    /**
     * 平台版本<br>
     */
    @ApiModelProperty("系统")
    private String systemCode;
    /**
     * 上位机ip<br>
     */
    @ApiModelProperty("上位机ip")
    private String ctrlIp;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    private String projectId;
    /**
     * 设备状态(1-在线 2-离线 3-移除)<br>
     */
    @ApiModelProperty("设备状态(1-在线 2-离线 3-移除)")
    private String deviceStatus;
    /**
     * 使用状态(1-空闲 2-使用中)<br>
     */
    @ApiModelProperty("使用状态(1-空闲 2-使用中)")
    private String usageStatus;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("系统名称")
    private String projectName;

    @ApiModelProperty("租户名称")
    private String tenantName;
    /**
     * 分辨率<br>
     */
    @ApiModelProperty("分辨率")
    private String resolution;
    /**
     * 内存大小<br>
     */
    @ApiModelProperty("内存大小")
    private String ramSize;

    @ApiModelProperty("设备归属(0-所有 1-公有 2-私有)")
    private String tenantCheck;

    @ApiModelProperty("设备类型")
    private String platform;

    @ApiModelProperty("使用人")
    private String userId;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getTenantCheck() {
        return tenantCheck;
    }

    public void setTenantCheck(String tenantCheck) {
        this.tenantCheck = tenantCheck;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBrandNameCn() {
        return brandNameCn;
    }

    public void setBrandNameCn(String brandNameCn) {
        this.brandNameCn = brandNameCn;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getModelImg() {
        return modelImg;
    }

    public void setModelImg(String modelImg) {
        this.modelImg = modelImg;
    }

    public String getSystemCode() {
        return systemCode;
    }

    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }

    public String getCtrlIp() {
        return ctrlIp;
    }

    public void setCtrlIp(String ctrlIp) {
        this.ctrlIp = ctrlIp;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(String usageStatus) {
        this.usageStatus = usageStatus;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public String getRamSize() {
        return ramSize;
    }

    public void setRamSize(String ramSize) {
        this.ramSize = ramSize;
    }
}
